"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var material_1 = require("@angular/material");
var DurationPickerDialogResult = (function () {
    function DurationPickerDialogResult() {
    }
    return DurationPickerDialogResult;
}());
exports.DurationPickerDialogResult = DurationPickerDialogResult;
var DurationPickerDialog = (function () {
    function DurationPickerDialog(dialogRef, data) {
        this.dialogRef = dialogRef;
        this.data = data;
        this.flex = '';
        this.flexLayout = 'column';
        this.flexLayoutAlign = 'start';
        this.result = new DurationPickerDialogResult();
        this.state = data.state;
    }
    DurationPickerDialog.prototype.onValueChange = function (field) {
        console.log('DurationPickerDialog', 'onValueChange', field);
    };
    DurationPickerDialog.prototype.onCancelRequest = function () {
        this.dialogRef.close(this.result);
    };
    DurationPickerDialog.prototype.onOkRequest = function () {
        this.result.success = true;
        this.result.millis = this.state.millis;
        this.dialogRef.close(this.result);
    };
    return DurationPickerDialog;
}());
__decorate([
    core_1.HostBinding('attr.flex'),
    __metadata("design:type", Object)
], DurationPickerDialog.prototype, "flex", void 0);
__decorate([
    core_1.HostBinding('attr.layout'),
    __metadata("design:type", Object)
], DurationPickerDialog.prototype, "flexLayout", void 0);
__decorate([
    core_1.HostBinding('attr.layout-align'),
    __metadata("design:type", Object)
], DurationPickerDialog.prototype, "flexLayoutAlign", void 0);
DurationPickerDialog = __decorate([
    core_1.Component({
        selector: 'duration-picker-dialog',
        template: "<div flex class=\"tanj-duration-picker-dialog-body\" layout=\"column\" layout-align=\"start\"> <div flex class=\"\" layout=\"row\" layout-align=\"space-around\"> <tanj-number-spinner-widget flex *ngFor=\"let field of state.selectedFields()\" [(ngModel)]=\"field.value\" [label]=\"field.label\" [labelPosition]=\"'below'\" [max]=\"field.max\" [min]=\"0\" (change)=\"onValueChange(field)\"></tanj-number-spinner-widget> </div> </div> <div layout=\"column\" layout-align=\"end\"> <div flex class='tanj-button-footer' layout=\"row\" layout-align=\"center\"> <a flex md-raised-button color=\"accent\" class=\"tanj-cancel\" (click)=\"onCancelRequest()\">Cancel</a> <a flex md-raised-button color=\"primary\" class=\"tanj-ok\" (click)=\"onOkRequest()\">Set</a> </div> </div> ",
        encapsulation: core_1.ViewEncapsulation.None
    }),
    __param(1, core_1.Inject(material_1.MD_DIALOG_DATA)),
    __metadata("design:paramtypes", [material_1.MdDialogRef, Object])
], DurationPickerDialog);
exports.DurationPickerDialog = DurationPickerDialog;

//# sourceMappingURL=duration-picker-dialog.js.map
