"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var common_1 = require("@angular/common");
var core_1 = require("@angular/core");
var forms_1 = require("@angular/forms");
var material_1 = require("@angular/material");
var components_1 = require("@tangential/components");
//noinspection TypeScriptPreferShortImport
var checkbox_widget_configure_component_1 = require("./checkbox-widget/checkbox-widget-configure.component");
//noinspection TypeScriptPreferShortImport
var checkbox_widget_component_1 = require("./checkbox-widget/checkbox-widget.component");
var date_time_widget_configure_component_1 = require("./date-time-widget/date-time-widget-configure.component");
var date_time_widget_component_1 = require("./date-time-widget/date-time-widget.component");
//noinspection TypeScriptPreferShortImport
var duration_picker_dialog_1 = require("./duration-picker-widget/duration-picker-dialog");
//noinspection TypeScriptPreferShortImport
var duration_picker_widget_configure_component_1 = require("./duration-picker-widget/duration-picker-widget-configure.component");
//noinspection TypeScriptPreferShortImport
var duration_picker_widget_component_1 = require("./duration-picker-widget/duration-picker-widget.component");
//noinspection TypeScriptPreferShortImport
var icon_rating_widget_configure_component_1 = require("./icon-rating-widget/icon-rating-widget-configure.component");
//noinspection TypeScriptPreferShortImport
var icon_rating_widget_component_1 = require("./icon-rating-widget/icon-rating-widget.component");
//noinspection TypeScriptPreferShortImport
var number_slider_widget_configure_component_1 = require("./number-slider-widget/number-slider-widget-configure.component");
//noinspection TypeScriptPreferShortImport
var number_slider_widget_component_1 = require("./number-slider-widget/number-slider-widget.component");
//noinspection TypeScriptPreferShortImport
var number_spinner_widget_configure_component_1 = require("./number-spinner-widget/number-spinner-widget-configure.component");
//noinspection TypeScriptPreferShortImport
var number_spinner_widget_component_1 = require("./number-spinner-widget/number-spinner-widget.component");
//noinspection TypeScriptPreferShortImport
var number_widget_configure_component_1 = require("./number-widget/number-widget-configure.component");
//noinspection TypeScriptPreferShortImport
var number_widget_component_1 = require("./number-widget/number-widget.component");
//noinspection TypeScriptPreferShortImport
var slide_toggle_widget_configure_component_1 = require("./slide-toggle-widget/slide-toggle-widget-configure.component");
//noinspection TypeScriptPreferShortImport
var slide_toggle_widget_component_1 = require("./slide-toggle-widget/slide-toggle-widget.component");
//noinspection TypeScriptPreferShortImport
var text_widget_configure_component_1 = require("./text-widget/text-widget-configure.component");
//noinspection TypeScriptPreferShortImport
var text_widget_component_1 = require("./text-widget/text-widget.component");
var TanjInputWidgetModule = (function () {
    function TanjInputWidgetModule() {
    }
    return TanjInputWidgetModule;
}());
TanjInputWidgetModule = __decorate([
    core_1.NgModule({
        imports: [
            common_1.CommonModule,
            forms_1.FormsModule,
            material_1.MdInputModule,
            material_1.MdCheckboxModule,
            material_1.MdSlideToggleModule,
            material_1.MdSliderModule,
            components_1.TanjComponentsModule
        ],
        declarations: [
            checkbox_widget_component_1.CheckboxWidgetComponent,
            checkbox_widget_configure_component_1.CheckboxWidgetConfigureComponent,
            date_time_widget_component_1.DateTimeWidgetComponent,
            date_time_widget_configure_component_1.DateTimeWidgetConfigureComponent,
            duration_picker_dialog_1.DurationPickerDialog,
            duration_picker_widget_component_1.DurationPickerWidgetComponent,
            duration_picker_widget_configure_component_1.DurationPickerWidgetConfigureComponent,
            icon_rating_widget_component_1.IconRatingWidgetComponent,
            icon_rating_widget_configure_component_1.IconRatingWidgetConfigureComponent,
            number_widget_component_1.NumberWidgetComponent,
            number_widget_configure_component_1.NumberWidgetConfigureComponent,
            number_slider_widget_component_1.NumberSliderWidgetComponent,
            number_slider_widget_configure_component_1.NumberSliderWidgetConfigureComponent,
            number_spinner_widget_component_1.NumberSpinnerWidgetComponent,
            number_spinner_widget_configure_component_1.NumberSpinnerWidgetConfigureComponent,
            slide_toggle_widget_component_1.SlideToggleWidgetComponent,
            slide_toggle_widget_configure_component_1.SlideToggleWidgetConfigureComponent,
            text_widget_component_1.TextWidgetComponent,
            text_widget_configure_component_1.TextWidgetConfigureComponent,
        ],
        exports: [
            checkbox_widget_component_1.CheckboxWidgetComponent,
            checkbox_widget_configure_component_1.CheckboxWidgetConfigureComponent,
            date_time_widget_component_1.DateTimeWidgetComponent,
            date_time_widget_configure_component_1.DateTimeWidgetConfigureComponent,
            duration_picker_dialog_1.DurationPickerDialog,
            duration_picker_widget_component_1.DurationPickerWidgetComponent,
            duration_picker_widget_configure_component_1.DurationPickerWidgetConfigureComponent,
            icon_rating_widget_component_1.IconRatingWidgetComponent,
            icon_rating_widget_configure_component_1.IconRatingWidgetConfigureComponent,
            number_slider_widget_component_1.NumberSliderWidgetComponent,
            number_slider_widget_configure_component_1.NumberSliderWidgetConfigureComponent,
            number_spinner_widget_component_1.NumberSpinnerWidgetComponent,
            number_spinner_widget_configure_component_1.NumberSpinnerWidgetConfigureComponent,
            number_widget_component_1.NumberWidgetComponent,
            number_widget_configure_component_1.NumberWidgetConfigureComponent,
            slide_toggle_widget_component_1.SlideToggleWidgetComponent,
            slide_toggle_widget_configure_component_1.SlideToggleWidgetConfigureComponent,
            text_widget_component_1.TextWidgetComponent,
            text_widget_configure_component_1.TextWidgetConfigureComponent,
        ],
        entryComponents: [
            duration_picker_dialog_1.DurationPickerDialog,
        ]
    })
], TanjInputWidgetModule);
exports.TanjInputWidgetModule = TanjInputWidgetModule;

//# sourceMappingURL=input-widget.module.js.map
