import { ObjMap, TimeUnit } from '@tangential/core';
import { Duration } from 'moment';
export declare class DurationPickerFieldsState {
    picker: DurationPickerState;
    index: number;
    unit: TimeUnit;
    selected: boolean;
    next: DurationPickerFieldsState;
    previous: DurationPickerFieldsState;
    constructor(picker: DurationPickerState, unit: TimeUnit);
    readonly label: string;
    canSelect(): boolean;
    canDeselect(): boolean;
    canToggleSelection(): boolean;
    value: number;
    readonly separator: string;
    readonly max: number;
}
export declare class DurationPickerState {
    fields: DurationPickerFieldsState[];
    fieldsByKey: ObjMap<DurationPickerFieldsState>;
    duration: Duration;
    max: number;
    constructor();
    selectedFields(): DurationPickerFieldsState[];
    selectedCount(): number;
    setDuration(duration: Duration): void;
    select(unit: TimeUnit): void;
    readonly millis: number;
}
